org.apache.ignite.internal.managers.discovery

## Interface CustomEventListener<T extends DiscoveryCustomMessage>

    public interface CustomEventListener<T extends DiscoveryCustomMessage>

Listener interface.

### Method Summary

Methods
`void` `onCustomEvent(ClusterNode snd, T msg, AffinityTopologyVersion topVer)`

### Method Detail

#### onCustomEvent

    void onCustomEvent(ClusterNode snd,
                     T msg,
                     AffinityTopologyVersion topVer)

Parameters:
  `snd` - Sender.
  `msg` - Message.
  `topVer` - Current topology version.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015